Bug 999826 - [origin_broker_77] generate-rest-docs does not support specify options.
[origin_broker_77] generate-rest-docs does not support specify options.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Lili Nader
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 04:38 EDT by Liang Xia
Modified: 2015-05-14 20:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-08-22 04:38:45 EDT
Description of problem:
Try to generate rest api doc via generate-rest-docs with option --version or --user, but show:
[{"exit_code"=>nil, "field"=>nil, "severity"=>"error", "text"=>"Requested API version 0.0 is not supported. Supported versions are 1.0,1.1,1.2,1.3,1.4,1.5,1.6"}]
Error: User 'true' not found

Version-Release number of selected component (if applicable):
devenv_3685

How reproducible:
always

Steps to Reproduce:
1../generate-rest-docs --help
2../generate-rest-docs --version 1.6
3../generate-rest-docs --version 1.5
4../generate-rest-docs --user lxia@redhat.com

Actual results:
step 2 and 3 show:
[{"exit_code"=>nil, "field"=>nil, "severity"=>"error", "text"=>"Requested API version 0.0 is not supported. Supported versions are 1.0,1.1,1.2,1.3,1.4,1.5,1.6"}]

step 4 show:
Error: User 'true' not found
Adding............KEY..........
REQUIRED: name=mykey
REQUIRED: type=ssh-rsa
...content skipped...

Expected results:
doc generated successfully.

Additional info:
# ./generate-rest-docs --help
Usage: generate-rest-docs [options]
    -v, --version                    API Version
    -u, --username                   Username to use for generating docs
    -p, --password                   Password for username
    -s, --server                     Server to use for generating docs
    -h, --help                       Print usage
Comment 1 Lili Nader 2013-08-26 21:03:38 EDT
Removed support for options other than version.  These option were not required by the user story and could not be fully supported.

https://github.com/openshift/origin-server/pull/3503
Comment 3 Liang Xia 2013-08-27 23:09:33 EDT
Re-test this on devenv_3716, still can be reproduced.

Steps and results below:
# ./generate-rest-docs -h
Usage: generate-rest-docs [options]
Example: generate-rest-docs -v 1.6
    -v, --version                    API Version. Not required. Defaults to latest.
    -h, --help                       Print usage

# ./generate-rest-docs -v 1.6
User already has max_tracked_addtl_storage_per_gear set to 20
User already has allow private_ssl_certificates set to true
User first.last@mycompany.com:
                  consumed gears: 0
                       max gears: 3
    max tracked storage per gear: 20
  max untracked storage per gear: 0
            plan upgrade enabled: true
                      gear sizes: small
            sub accounts allowed: false
private SSL certificates allowed: true

Encountered an error trying to get https://localhost/broker/rest/api
[{"exit_code"=>nil, "field"=>nil, "severity"=>"error", "text"=>"Requested API version 0.0 is not supported. Supported versions are 1.0,1.1,1.2,1.3,1.4,1.5,1.6"}]
Cannot parse response for resource API
Message: can't convert nil into String
Response:
Comment 5 Liang Xia 2013-12-11 01:21:22 EST
Verified on devenv_4120. Options are usable.

# ./generate-rest-docs --help
Usage: generate-rest-docs [options]
Example: generate-rest-docs -v 1.6
    -v, --version VERSION            API Version. Not required. Defaults to 1.6.
    -d, --debug                      Debug flag
    -h, --help                       Print usage

# ./generate-rest-docs --version 1.4 -d
Setting max_tracked_addtl_storage_per_gear to 20... Done.
Setting private_ssl_certificates capability to true for user first.last@mycompany.com... Done.
...

Note You need to log in before you can comment on or make changes to this bug.